package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCouponChannelActivityStatus {


    PREPARED(0, "预告中"),
    STARTED(1, "已开启"),
    ENDED(2, "已结束"),
    ;

    public static EnumCouponChannelActivityStatus getEnum(Integer code) {
        for (EnumCouponChannelActivityStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCouponChannelActivityStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
